Cyan Web API - Version 1


GET api/nodeRoutes/{nodeRouteId}

            Gets a NodeRoute by NodeRouteId
            

Request Information

Parameters

NameDescriptionAdditional information
nodeRouteId

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
{
  "nodeRouteId": "7c421cae-6724-4063-af39-b0a564b37bc0",
  "tenantId": "256b5947-c501-46ee-987e-03da784981bb",
  "userId": "c6311595-1e3c-4943-9e21-4752c7feea93",
  "userGroupId": "20a67664-b59b-4c1d-9308-8afb8d22ea3c",
  "deviceId": "71655ee5-a22f-4322-9533-e63fd9933576",
  "deviceGroupId": "d0020570-9653-4ae4-a227-e5527758a263",
  "applicationId": "74afdd91-41f2-4d61-be04-5c1ffc1326de",
  "applicationVersionId": "354e76db-6e6d-4bb0-b70c-80a124883803",
  "nodeId": "deefdc91-81a9-43c4-8ce5-0ad9c4b5944d",
  "name": "sample string 4",
  "description": "sample string 5",
  "nodeCyanId": 6,
  "cyanId": 7,
  "customKey": "sample string 8",
  "customValue": "sample string 9",
  "applyParentRoutes": true,
  "applyToDescendants": true,
  "applyToTree": true,
  "applyToParents": true,
  "applyToSiblings": true,
  "applyToSiblingsType": "sample string 15",
  "ignoreNodeIdsInRouting": [
    "sample string 1",
    "sample string 2",
    "sample string 3"
  ],
  "createdDateUtc": "2026-09-03T05:33:16.3182319+00:00",
  "updatedDateUtc": "2026-09-03T05:33:16.3182319+00:00"
}

application/xml, text/xml

Sample:
<NodeRouteRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-09-03T05:33:16.3182319+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-09-03T05:33:16.3182319+00:00</UpdatedDateUtc>
  <ApplicationId>74afdd91-41f2-4d61-be04-5c1ffc1326de</ApplicationId>
  <ApplicationVersionId>354e76db-6e6d-4bb0-b70c-80a124883803</ApplicationVersionId>
  <ApplyParentRoutes>true</ApplyParentRoutes>
  <ApplyToDescendants>true</ApplyToDescendants>
  <ApplyToParents>true</ApplyToParents>
  <ApplyToSiblings>true</ApplyToSiblings>
  <ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
  <ApplyToTree>true</ApplyToTree>
  <CustomKey>sample string 8</CustomKey>
  <CustomValue>sample string 9</CustomValue>
  <CyanId>7</CyanId>
  <Description>sample string 5</Description>
  <DeviceGroupId>d0020570-9653-4ae4-a227-e5527758a263</DeviceGroupId>
  <DeviceId>71655ee5-a22f-4322-9533-e63fd9933576</DeviceId>
  <IgnoreNodeIdsInRouting xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:string>sample string 1</d2p1:string>
    <d2p1:string>sample string 2</d2p1:string>
    <d2p1:string>sample string 3</d2p1:string>
  </IgnoreNodeIdsInRouting>
  <Name>sample string 4</Name>
  <NodeCyanId>6</NodeCyanId>
  <NodeId>deefdc91-81a9-43c4-8ce5-0ad9c4b5944d</NodeId>
  <NodeRouteId>7c421cae-6724-4063-af39-b0a564b37bc0</NodeRouteId>
  <TenantId>256b5947-c501-46ee-987e-03da784981bb</TenantId>
  <UserGroupId>20a67664-b59b-4c1d-9308-8afb8d22ea3c</UserGroupId>
  <UserId>c6311595-1e3c-4943-9e21-4752c7feea93</UserId>
</NodeRouteRepresentation>